putty
API ReferenceLedger

Read one Launch Kit

Returns a kit with the live state of each of its ten steps. The `launch` step reports `awaiting_signature` while the user has not signed: putty never holds a key, so the signature is the user's to give.

GET
/billing/launch-kits/{kitId}

Returns a kit with the live state of each of its ten steps. The launch step reports awaiting_signature while the user has not signed: putty never holds a key, so the signature is the user's to give.

Path Parameters

kitId*string

The kit's id.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/billing/launch-kits/string"
{  "kit": {    "id": "string",    "projectId": "string",    "status": "queued",    "freeGrant": true,    "launchId": "string",    "steps": [      {        "step": "string",        "title": "string",        "status": "pending",        "credits": 0,        "included": true,        "confirmFirst": true,        "runId": "string",        "error": "string"      }    ],    "createdAt": "2019-08-24T14:15:22Z"  }}